# OmniAuth::PopUpTalent

This gem contains an [Omniauth][omniauth] strategy for authenticating against Pop Up Talent Oauth gateway.

## Installation

Add this line to your application's Gemfile:

    gem 'omniauth-pop-up-talent'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install omniauth-pop-up-talent

## Usage

Like any other Omniauth strategy, OmniAuth::PopUpTalent is a middleware that you need to use in your Rack application:

    use OmniAuth::Strategies::PopUpTalent, 
      key: 'YOUR_KEY', 
      secret: 'YOUR_SECRET', 
      host: '(optional) the host address, like https://accounts.pop-up-talent.com'

in Rails, you might want to put it in `config/initializers/pop_up_talent.rb`:

    Rails.application.config.middleware.use OmniAuth::Strategies::PopUpTalent,
      key: 'YOUR_KEY',
      secret: 'YOUR_SECRET',
      host: 'https://example.com'

## Contributing

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request

[omniauth]: https://github.com/intridea/omniauth
